Kerbal Space Program - Bug #7019

Base contract asks for "ISRU resource conversion unit” but in fact requires "Convert-O-Tron 250"
and won't finish with "Convert-O-Tron 125"

02/18/2016 10:55 AM - Kasuha
Description
I'm not sure if this strictly qualifies as bug but it leads to confusion and wasted effort.

Reference: https://www.reddit.com/r/KerbalSpaceProgram/comments/45fdh4/weekly simple_questions_thread/d04c3z|
but it's not the first time | see this problem mentioned

Please either update the contract to accept either part, or to request specific part by its actual name.
Similarly other part requests could be made more specific, perhaps even using part's real title instead of the description:
research lab -> Mobile Processing Lab

materials bay -> SC-9001 Science Jr.
etc.

History

#1 - 07/17/2016 09:44 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 10/06/2019 01:56 AM - gyscos

The status says "Needs Clarification", so I'll try to provide a clearer explanation.

| think the problem is the ambiguity caused by vague contract descriptions, which results in confusion for the player.

For example, some contracts require "ISRU resource conversion unit", but no part description contains this string. Instead, the player is supposed to
know this is an alias for "Convert-O-Tron 250". It seems that in addition, "Convert-O-Tron 125" does not satisfy the contract, which is not obvious
reading the contract alone.

The same problem also happens with contracts listing "materials bay", which is a non-obvious alias for "SC-9001 Science Jr."

Figuring out what parts are required given an obscure alias in the contract is not a fun part of the game, and is made even worse when mods add
parts with slightly similar names; many players only find out late in a mission that they picked the wrong part back in VAB.

#3 - 02/13/2020 06:16 AM - Anonymous
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

This seems to have been fixed in 1.1.0
#4 - 03/30/2020 01:09 AM - imWACCO
Nope, still broken in 1.7.3

"ISRU resource conversion unit" is still there for a survey of Eve

#5 - 03/30/2020 09:23 PM - Anonymous

True that the contracts ask for 'ISRU' but after version 1.1.0 either Convert-O-Tron will satisfy the need.
There is another report #4877 about inconsistent naming.
